Subject: [sidr] wglc for draft-ietf-sidr-rfc6485bis-05

From: Sandra Murphy <[email-masked]>
Date: Wed, 9 Mar 2016 06:28:54 -0500

As discussed in December, a new version for draft-ietf-sidr-rfc6485bis was required to deal with an IESG comment on the Security Considerations section.

The authors have submitted a new version and ask for a working group last call.

This starts the wglc which will end on 23 Mar 2016.  Please review the draft for its readiness for publication and provide comments to the list.

Positive support is needed in order to judge consensus for publication, so please do comment on the list.

The draft is available at:  https://tools.ietf.org/html/draft-ietf-sidr-rfc6485bis-05.

—Sandy, speaking as one of the wg co-chairs

---

From: Sandra Murphy <[email-masked]>
Date: Mon, 21 Mar 2016 17:20:17 -0400

A nagging reminder.  There has been no comment, pro or con.

It’s a short draft.  Please do review and say whether you want the draft to progress or not.

If you want to see the differences in this latest version, one way is to look at the tools page for the draft:

draft page: https://tools.ietf.org/html/draft-ietf-sidr-rfc6485bis-05
side-by-side diff:  https://tools.ietf.org/rfcdiff?url2=draft-ietf-sidr-rfc6485bis-05.txt

—Sandy, speaking as one of the wg co-chair

On Mar 9, 2016, at 6:28 AM, Sandra Murphy <[email-masked]> wrote:

> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr

---

From: Sean Turner <[email-masked]>
Date: Mon, 21 Mar 2016 20:39:54 -0400

Since RFC6916 was the algorithm agility procedures RFC we’d all been waiting for, it makes sense to now point to it directly from the 6485bis.  It’s an informative reference to RFC6919, but RFC6916 is a BCP so it’s probably fine.  Let’s progress this one.

spt

> On Mar 21, 2016, at 17:20, Sandra Murphy <[email-masked]> wrote:
>

---

From: Rob Austein <[email-masked]>
Date: Tue, 22 Mar 2016 22:32:42 -0400

While it is (more than) a bit terrifying that it has now taken the WG
two years to produce what boils down to an erratum on steroids, the
document itself seems reasonable and clear, and the authors are to be
commended for both their patience and their intestinal fortitude.

Ship it.

---

From: Tim Bruijnzeels <[email-masked]>
Date: Wed, 23 Mar 2016 11:52:49 +0100

Dear working group,

Please progress. Thank you authors!

Tim

> On 21 Mar 2016, at 22:20, Sandra Murphy <[email-masked]> wrote:
>

---

From: "Brian Weis (bew)" <[email-masked]>
Date: Fri, 1 Apr 2016 03:55:33 +0000

I’ve read this draft version, and compared it to RFC 6485. It's a reasonable update, and believe this draft to be ready for publication.

There’s one nit that could be fixed.  At some point during the rfc6485bis development three words were added at the end of this sentence in section 2:

  “The Object Identifier (OID) sha256WithRSAEncryption from [RFC4055] MUST
   be used in these products."

This is a bit imprecise as the requirement being made on the RPKI portion of the “product”, not the “product” itself. I would suggest replacing these three words with either "by subscribers" or  “in RPKI implementations” (to match wording used elsewhere in the draft).

Thanks,
Brian

-- 
Brian Weis
Security, CSG, Cisco Systems
Telephone: +1 408 526 4796
Email: [email-masked]